# PCPROMETHEUS

Prometheus (i.e. diagonal scaling preconditioning)

### Options Database Key

-pc_prometheus_rowmax -use the maximum absolute value in each row as the scaling factor, rather than the diagonal

Notes: By using KSPSetPreconditionerSide(ksp,PC_SYMMETRIC) or -ksp_symmetric_pc you can scale each side of the matrix by the squareroot of the diagonal entries.

Zero entries along the diagonal are replaced with the value 1.0

### See Also

PCCreate(), PCSetType(), PCType (for list of available types), PC

Level:beginner
Location: src/ksp/pc/impls/prometheus/petscprom.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages